---
apiVersion: secrets.hashicorp.com/v1beta1
kind: VaultStaticSecret
metadata:
  name: bootstrap-acl-token
  namespace: consul
spec:
  destination:
    create: true
    name: consul-bootstrap-acl-token
    overwrite: true
  hmacSecretData: true
  mount: kv
  path: kubernetes/namespace/consul/default/bootstrap-acl-token
  refreshAfter: 5m
  type: kv-v2
  vaultAuthRef: default
